%global mod_name junit-plugin
%global short_name junit
%global plugin_home %{_datadir}/jenkins/webroot/WEB-INF/plugins/

Name:           jenkins-junit-plugin
Version:        1.12
Release:        1%{?dist}
Summary:        Jenkins JUnit Plugin

# License is specified in pom.xml
License:        MIT
URL:            https://wiki.jenkins-ci.org/display/JENKINS/JUnit+Plugin
Source0:        https://github.com/jenkinsci/%{mod_name}/archive/%{short_name}-%{version}.tar.gz
# Text copied from http://www.opensource.org/licenses/mit-license.php
Source1:        LICENSE.txt

BuildRequires:  maven-local
BuildRequires:  mvn(org.jenkins-ci.plugins:plugin:pom:)
BuildRequires:  mvn(org.kohsuke:access-modifier-checker)
BuildRequires:  mvn(org.jenkins-ci.main:jenkins-core)
BuildRequires:  mvn(com.google.code.findbugs:annotations)

BuildArch:      noarch

%description
This package provides Jenkins plugin which allows JUnit-format test
results to be published.

%package        javadoc
Summary:        Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{mod_name}-%{short_name}-%{version}

# upstream has this in Jenkins' parent POM, which we don't have
%pom_add_dep com.google.code.findbugs:annotations:provided

cp %{SOURCE1} .
%mvn_file ::hpi:: %{name}/%{short_name}

%build
# tests have special needs:
# "package com.gargoylesoftware.htmlunit.html does not exist"
# we don't have these Jenkins test artifacts in Fedora
%mvn_build -f

%install
install -d -m 755 %{buildroot}/%{plugin_home}
unzip -d target/%{short_name}.hpi-unpacked target/%{short_name}.hpi
pushd target/%{short_name}.hpi-unpacked/WEB-INF/lib/
  rm %{short_name}.jar && ln -s %{_javadir}/%{name}/%{short_name}.jar .
  xmvn-subst -s .
popd
pushd target/%{short_name}.hpi-unpacked/
  zip -y -r %{short_name}.hpi .
popd
mv target/%{short_name}.hpi-unpacked/%{short_name}.hpi target/
cp target/%{short_name}.hpi %{buildroot}/%{plugin_home}/
%mvn_install

%files -f .mfiles
%dir %{_javadir}/%{name}
%dir %{_mavenpomdir}/%{name}
%{plugin_home}
%license LICENSE.txt
%files javadoc -f .mfiles-javadoc
%license LICENSE.txt

%changelog
* Thu Apr 21 2016 Michal Srb <msrb@redhat.com> - 1.12-1
- Update to 1.12

* Fri Feb 26 2016 Michal Srb <msrb@redhat.com> - 1.11-1
- Update to 1.11

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sun Dec 13 2015 Igor Gnatenko <i.gnatenko.brain@gmail.com> - 1.10-1
- Update to 1.10 (RHBZ #1290627)

* Fri Sep 04 2015 Michal Srb <msrb@redhat.com> - 1.9-1
- Update to upstream version 1.9

* Fri Aug 07 2015 Michal Srb <msrb@redhat.com> - 1.8-1
- Update to upstream version 1.8

* Wed Jul 29 2015 Michal Srb <msrb@redhat.com> - 1.7-1
- Update to upstream version 1.7

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon May 18 2015 Michal Srb <msrb@redhat.com> - 1.6-1
- Update to upstream version 1.6

* Thu Apr 16 2015 Michal Srb <msrb@redhat.com> - 1.4-2
- Migrate to .hpi with symlinks

* Mon Feb 09 2015 Michal Srb <msrb@redhat.com> - 1.4-1
- Update to upstream version 1.4

* Wed Feb 04 2015 Michal Srb <msrb@redhat.com> - 1.3-1
- Update to upstream version 1.3

* Fri Nov 21 2014 Michal Srb <msrb@redhat.com> - 1.2-1
- Update to upstream version 1.2

* Tue Nov 18 2014 Michal Srb <msrb@redhat.com> - 1.1-3
- Rebuild to fix plugin dependencies
- Fix FTBFS

* Mon Oct 13 2014 Michal Srb <msrb@redhat.com> - 1.1-2
- This is a core plugin, move it to the correct location

* Wed Sep 24 2014 Michal Srb <msrb@redhat.com> - 1.1-1
- Initial packaging
